www.cendio.com
Bug 7408 - thinlocal only prints black and white with wine
: thinlocal only prints black and white with wine
Status: CLOSED FIXED
: ThinLinc
Printing
: trunk
: PC Unknown
: P2 Normal
: 4.11.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2019-10-23 15:04 by
Modified: 2019-11-25 13:47 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2019-10-23 15:04:07
It's currently not possible to print color prints with thinlocal using Wine.
Everything else seems to work fine though.

It turns out that Wine is the only thing that respects these lines in our PPD:

> *ColorDevice:   False
> *DefaultColorSpace: Gray

Changing them makes color printing work just fine from wine:

> *ColorDevice:   True
> *DefaultColorSpace: RGB

We can also see the CUPS web interface change from reporting the printer being
grayscale to color.

The same issue likely exists with nearest.
------- Comment #3 From cendio 2019-11-18 12:57:03 -------
Tested on RHEL7 server with Fedora 30 client:
* Printed from IE running on Wine to nearest printer, works after fix.
* Printed from IE running on Wine to thinlocal, works after fix.

Verified that our change didn't break anything on RHEL6 (server) and Ubuntu 18
(client/server):
* Printing from Firefox.
* Printing an local image via an image viewer.
* Printing from default texteditor.
------- Comment #4 From cendio 2019-11-20 13:40:56 -------
(In reply to comment #3)

> Verified that our change didn't break anything on RHEL6 (server) and Ubuntu 18
> (client/server):
> * Printing from Firefox.
> * Printing an local image via an image viewer.
> * Printing from default texteditor.

To clarify, this verification was done with thinlocal and nearest on RHEL6 but
only with thinlocal on Ubuntu 18 (client/server).
------- Comment #6 From cendio 2019-11-25 13:47:53 -------
Works well. Tested on RHEL 8.

Got black and white with 4.10.1, but color now. Tested both thinlocal and
nearest using iexplore.exe.

Also tested both in Firefox, but did not see any changes as color always worked
there.